@echo off

set WPS_HOME=@WpsInstallLocation@
set WAS_HOME=@WasInstallLocation@

REM Set JAVA_HOME
REM Check SDK setting in the profile first.  If not available, set SDK from WAS binary tree.
set MY_CWD=%CD%
cd /d %~dp0
if exist "..\..\bin\sdk\_setupSdk.bat" (
    call ..\..\bin\sdk\_setupSdk.bat
) else (
    cd /d "%WAS_HOME%\bin\sdk"
    call "%WAS_HOME%\bin\sdk\_setupSdk.bat"
)

set cpath=%WAS_HOME%\plugins\com.ibm.ws.runtime.jar
set cpath=%cpath%;%WAS_HOME%\lib\bootstrap.jar
set cpath=%cpath%;%WAS_HOME%\plugins\com.ibm.ws.emf.jar
set cpath=%cpath%;%WAS_HOME%\plugins\org.eclipse.emf.ecore.jar
set cpath=%cpath%;%WAS_HOME%\plugins\org.eclipse.emf.common.jar

cd /d %MY_CWD%

"%JAVA_HOME%\bin\java" -classpath "%WPS_HOME%\base\wp.xml.client\bin\wp.xml.client.jar;%WPS_HOME%\base\wp.base\shared\app\wp.base.jar;%WPS_HOME%\base\wp.engine.impl\shared\app\wp.engine.impl.jar;%WPS_HOME%\base\wp.utilities.streams\shared\app\wp.utilities.streams.jar;%WAS_HOME%\lib\j2ee.jar;%WAS_HOME%\plugins\com.ibm.ffdc.jar;%cpath%" com.ibm.wps.xmlaccess.XmlAccess %*
